# SNESSetSolutionBC

Sets the function which applies boundary conditions to the solution of each system.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESSetSolutionBC(SNES snes, PetscErrorCode (*func)(SNES, Vec, void *))

Collective on SNES

### Input Parameters

snes -The nonlinear solver context
func -The function

### Calling sequence of func

func (SNES snes, Vec rsol, void *ctx); -
sol -The current solution vector
ctx -The user-context

### Keywords

SNES, solution, boundary conditions

### See Also

SNESDefaultSolutionBC(), SNESSetRhsBC(), SNESSetUpdate()

Level:intermediate
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages